Package org.eclipse.emf.cdo.security.provider

## Class SecurityEditPlugin.Implementation

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.emf.common.EMFPlugin.EclipsePlugin
    - - org.eclipse.emf.cdo.security.provider.SecurityEditPlugin.Implementation

- All Implemented Interfaces:
    `EMFPlugin.InternalEclipsePlugin`, `Logger`, `ResourceLocator`, `org.osgi.framework.BundleActivator`
  Enclosing class:
    SecurityEditPlugin

      public static class SecurityEditPlugin.Implementation
      extends EMFPlugin.EclipsePlugin

  The actual implementation of the Eclipse Plugin.
  Generated

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

      `helper`

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Implementation()` | Creates an instance.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin.EclipsePlugin

      `doGetImage, getBaseURL, getImage, getString, getString, getString, getString, getSymbolicName, log`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, start, startup, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Implementation

          public Implementation()

      Creates an instance.
      Generated